Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hpbf
Class HPBFDocument

    java.lang.Object
      org.apache.poi.POIDocument
          org.apache.poi.hpbf.HPBFDocument

    public final class HPBFDocument

extends POIDocument

This class provides the basic functionality for HPBF, our implementation of the publisher file format.

Field Summary

Fields inherited from class org.apache.poi.POIDocument
`directory, filesystem`

Constructor Summary
`HPBFDocument(DirectoryNode dir, POIFSFileSystem fs)` Opens an embeded publisher document, at the given directory.
`HPBFDocument(java.io.InputStream inp)`
`HPBFDocument(POIFSFileSystem fs)` Opens a new publisher document

Method Summary
`EscherDelayStm` | `getEscherDelayStm()`
`EscherStm` | `getEscherStm()`
`MainContents` | `getMainContents()`
`QuillContents` | `getQuillContents()`
`void` | `write(java.io.OutputStream out)` Writes the document out to the specified output stream

Methods inherited from class org.apache.poi.POIDocument
`copyNodes, createInformationProperties, getDocumentSummaryInformation, getPropertySet, getSummaryInformation, readProperties, writeProperties, writeProperties, writePropertySet`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HPBFDocument

    public HPBFDocument(POIFSFileSystem fs)
                 throws java.io.IOException

  Opens a new publisher document

  Throws:
    `java.io.IOException`

### HPBFDocument

    public HPBFDocument(java.io.InputStream inp)
                 throws java.io.IOException

Throws:
  `java.io.IOException`

### HPBFDocument

    public HPBFDocument(DirectoryNode dir,
                        POIFSFileSystem fs)
                 throws java.io.IOException

  Opens an embeded publisher document, at the given directory.

  Throws:
    `java.io.IOException`

Method Detail

### getMainContents

    public MainContents getMainContents()

### getQuillContents

    public QuillContents getQuillContents()

### getEscherStm

    public EscherStm getEscherStm()

### getEscherDelayStm

    public EscherDelayStm getEscherDelayStm()

### write

    public void write(java.io.OutputStream out)
               throws java.io.IOException

  Description copied from class: `POIDocument`
  Writes the document out to the specified output stream

  Specified by:
    `write` in class `POIDocument`
  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2010 The Apache Software Foundation or its licensors, as applicable.